{% set title = 'Analyses thématiques' %}
{% extends('admin/adminLayout.twig') %}
{% block content %}


	<h1>Analyses thématiques ({{ TAs|length }})</h1>

	<p class="text-right">
		<a href="{{ url('admin-ta-form') }}?ta=new" class="btn btn-primary">
			<span class="glyphicon glyphicon-plus"></span>
			Nouvelle analyse</a>
	</p>

	<table class="table table-hover table-condensed">
		<tr>

			<th>Analyse</th>
			<th>Objet / Action</th>
			<th>Type d'objet ou d'action</th>			
			<th>Type d'analyse</th>
            <th>Analyse</th>
			<th></th>

		</tr>
		{% for TA in TAs %}

			<tr>

				<td>
					<a href="{{ url('admin-ta-form') }}?ta={{ TA.theme_analysis_id }}">
						<big>{{ TA.theme_analysis }}</big> 
					</a>
					<a href="{{ url('admin-ta-form') }}?ta={{ TA.theme_analysis_id }}" class="btn btn-default btn-xs">
						<span class="glyphicon glyphicon-pencil"></span>
					</a>
				</td>
				<td>{{ TA.object_type|raw }}</td>
				<td>
				{% if TA.Typ.sysma_object_type|default(null) is not null %}
				{% set typ = (TA.Typ.sysma_object_type~' <small>['~TA.Typ.sysma_object_type_id~']</small>') %}
				{% else %}
				{% set typ = (TA.Typ.sysma_action_type~' <small>['~TA.Typ.sysma_action_type_id~']</small>') %}
				{% endif %}
				{{ typ|raw }}
				</td>			
				<td>{{ TA.theme_analysis_type }}</td>
                <td>
					{% set AT = TA %}
                    {% set hideActivateButton = true %}
					{% include('formatting/thematicAnalysisDetailsSheet.twig') %}
				</td>

				<td class="text-right">
					<a class="btn btn-xs btn-danger" href="{{ url('admin-ta-delete') }}?ta={{ TA.theme_analysis_id }}" onclick="return confirm('Confirmez-vous la suppression de cette analyse ?')">
						<span class="glyphicon glyphicon-remove"></span>
						Suppression
					</a>
				</td>
				


			</tr>


		{% endfor %}
	</table>


{% endblock %}
